com.h3c.util.pkt

## Class IcmpV6.RouterAdvertiseData

- java.lang.Object
- - com.h3c.util.pkt.IcmpV6.RouterAdvertiseData

- Enclosing class:
    IcmpV6

      public static class IcmpV6.RouterAdvertiseData
      extends Object

  Neighbor Discovery - Router Advertisement data store (immutable).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IcmpV6.RouterAdvertiseData(int hopLimit, boolean managedAddrConfig, boolean otherConfig, int routerLifetime, long reachableTime, long retransTimer)` Create a new Router Advertisement data store.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `hopLimit()` Returns the default hop counter limit (for field in the IP header).
    `boolean` | `managedAddrConfig()` Flag that is true if addresses are available via DHCP.
    `boolean` | `otherConfig()` Flag that is true if other configuration information is available via DHCPv6.
    `long` | `reachableTime()` The time in milliseconds a node assumes its neighbor is reachable.
    `long` | `retransTimer()` The time in milliseconds between retransmitted Neighbor Solicitation messages.
    `int` | `routerLifetime()` Default router lifetime in seconds.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IcmpV6.RouterAdvertiseData

          public IcmpV6.RouterAdvertiseData(int hopLimit,
                                    boolean managedAddrConfig,
                                    boolean otherConfig,
                                    int routerLifetime,
                                    long reachableTime,
                                    long retransTimer)

      Create a new Router Advertisement data store.
      Parameters:
        `hopLimit` - default hop counter field of IP header
        `managedAddrConfig` - addresses are available via DHCP
        `otherConfig` - other configuration info available via DHCPv6
        `routerLifetime` - default router lifetime in seconds
        `reachableTime` - milliseconds node assumes neighbor is reachable
        `retransTimer` - milliseconds between retransmitted solicitations

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hopLimit

          public int hopLimit()

      Returns the default hop counter limit (for field in the IP header).
      Returns:
        the default hop counter limit

    - #### managedAddrConfig

          public boolean managedAddrConfig()

      Flag that is true if addresses are available via DHCP.
      Returns:
        true if addresses are available via DHCP.

    - #### otherConfig

          public boolean otherConfig()

      Flag that is true if other configuration information is available via DHCPv6.
      Returns:
        true if other configuration information is available

    - #### routerLifetime

          public int routerLifetime()

      Default router lifetime in seconds.
      Returns:
        the lifetime in seconds

    - #### reachableTime

          public long reachableTime()

      The time in milliseconds a node assumes its neighbor is reachable.
      Returns:
        the time in milliseconds

    - #### retransTimer

          public long retransTimer()

      The time in milliseconds between retransmitted Neighbor Solicitation messages.
      Returns:
        the time in milliseconds

Copyright © 2014. All Rights Reserved.